OfonoCallSettings Class Reference

This class is used to access oFono call settings API. More...

`#include <ofonocallsettings.h>`

Inheritance diagram for OfonoCallSettings:

## Public Slots

void | requestCallingLinePresentation ()
void | requestCalledLinePresentation ()
void | requestCallingNamePresentation ()
void | requestConnectedLinePresentation ()
void | requestConnectedLineRestriction ()
void | requestCallingLineRestriction ()
void | requestHideCallerId ()
void | setHideCallerId (const QString &setting)
void | requestVoiceCallWaiting ()
void | setVoiceCallWaiting (const QString &setting)

## Signals

void | callingLinePresentationComplete (bool success, const QString &setting)
void | calledLinePresentationComplete (bool success, const QString &setting)
void | callingNamePresentationComplete (bool success, const QString &setting)
void | connectedLinePresentationComplete (bool success, const QString &setting)
void | connectedLineRestrictionComplete (bool success, const QString &setting)
void | callingLineRestrictionComplete (bool success, const QString &setting)
void | hideCallerIdComplete (bool success, const QString &setting)
void | voiceCallWaitingComplete (bool success, const QString &setting)
void | callingLinePresentationChanged (const QString &setting)
void | calledLinePresentationChanged (const QString &setting)
void | callingNamePresentationChanged (const QString &setting)
void | connectedLinePresentationChanged (const QString &setting)
void | connectedLineRestrictionChanged (const QString &setting)
void | callingLineRestrictionChanged (const QString &setting)
void | hideCallerIdChanged (const QString &setting)
void | voiceCallWaitingChanged (const QString &setting)
void | setHideCallerIdFailed ()
void | setVoiceCallWaitingFailed ()
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoCallSettings (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Detailed Description

This class is used to access oFono call settings API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/call-settings-api.txt

The documentation for this class was generated from the following file:

- lib/ofonocallsettings.h